Redmine - Defect #26468

Using custom fields of type "File" leads to unsolvable error if filetype is not allowed
2017-07-18 13:44 - Mischa Mundwiler

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version: 3.4.3

Resolution: Fixed Affected version: 3.4.1
Description

| have setup the following custom field using the "File" format with the restriction of allowed filetypes: doc, docx, pdf
If | create a new ticket with any of the three types everything is fine.

But if | upload a file of differnte file type | get the following message:

- CR-Dokument is invalid (Allowed extensions: doc, docx, pdf) -> this is OK

BUT: | cannot change the document anymore nor can | remove it. Therefore | am stuck in the dialog and the only possiblity is to
cancel everyhting (compare attached screenshot).

Expected behavior: Upload another file or remove it should be possible.

Associated revisions

Revision 16835 - 2017-07-19 17:24 - Jean-Philippe Lang

Fixed that remove upload icon is not visible after submitting the form (#26468).

Revision 16846 - 2017-07-22 09:12 - Jean-Philippe Lang
Merged r16835 (#26468).

History

#1 - 2017-07-19 17:27 - Jean-Philippe Lang
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.4.3

- Resolution set to Fixed

Indeed, the icon to remove the file is not visible after submitting the form (even if it's not visible, you should be able to click on it just on the right of the
field that holds the filename).
This should be fixed by r16835.

#2 - 2017-07-22 09:12 - Jean-Philippe Lang

- Status changed from Resolved to Closed
